Package org.eclipse.microprofile.lra.tck.participant.api

# Class AfterLRAParticipant

java.lang.Object
org.eclipse.microprofile.lra.tck.participant.api.AfterLRAParticipant

@ApplicationScoped @Path("after-lra-participant") public class AfterLRAParticipant extends Object
resource for testing that methods annotated with `AfterLRA` are notified correctly when an LRA terminates

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`AFTER_LRA_PARTICIPANT_PATH`
`static final String`
`AFTER_LRA_PARTICIPANT_WORK`

## Constructor Summary

Constructors
Constructor
Description
`AfterLRAParticipant()`

## Method Summary

Modifier and Type
Method
Description
`jakarta.ws.rs.core.Response`
`activityWithLRA(URI recoveryId, URI lraId)`
`jakarta.ws.rs.core.Response`
`afterEnd(URI lraId, LRAStatus status)`
`jakarta.ws.rs.core.Response`
`compensateWork(URI lraId)`
`jakarta.ws.rs.core.Response`
`completeWork(URI lraId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### AFTER_LRA_PARTICIPANT_PATH

public static final String AFTER_LRA_PARTICIPANT_PATH

See Also:
  - Constant Field Values

### AFTER_LRA_PARTICIPANT_WORK

public static final String AFTER_LRA_PARTICIPANT_WORK

See Also:
  - Constant Field Values

## Constructor Details

### AfterLRAParticipant

public AfterLRAParticipant()

## Method Details

### completeWork

@PUT @Path("/complete") public jakarta.ws.rs.core.Response completeWork(@HeaderParam("Long-Running-Action") URI lraId)

### compensateWork

@PUT @Path("/compensate") public jakarta.ws.rs.core.Response compensateWork(@HeaderParam("Long-Running-Action") URI lraId)

### activityWithLRA

@PUT @Path("work") public jakarta.ws.rs.core.Response activityWithLRA(@HeaderParam("Long-Running-Action-Recovery") URI recoveryId, @HeaderParam("Long-Running-Action") URI lraId)

### afterEnd

@PUT @Path("/after") public jakarta.ws.rs.core.Response afterEnd(@HeaderParam("Long-Running-Action-Ended") URI lraId, LRAStatus status)